36

package com.haizhitao.exception;

public class ExceptionTest4
{
	public void method(String str) throws MyException
	{
		if(null == str)
		{
			throw new MyException();
		}
		else
		{
			System.out.println(str);
		}
	}
	
	public static void main(String[] args)
	{
		try
		{
			ExceptionTest4 test4 = new ExceptionTest4();
			
			test4.method("liuhaitao");
			test4.method(null);
			test4.method("haizhitao");
		}
		catch(MyException e)
		{
			e.printStackTrace();
		}
		finally
		{
			System.out.println("异常执行完毕");
		}
		
		System.out.println("程序执行完毕");
	}
}

//output:
//	liuhaitao
//	com.haizhitao.exception.MyException
//		at com.haizhitao.exception.ExceptionTest4.method(ExceptionTest4.java:9)
//		at com.haizhitao.exception.ExceptionTest4.main(ExceptionTest4.java:24)
//	异常执行完毕
//	程序执行完毕












阅读更多
博主设置当前文章不允许评论。

没有更多推荐了,返回首页

关闭
关闭
关闭